ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/Convert-UUlib/uulib/configure
Revision: 1.4.2.1
Committed: Sun Mar 31 19:51:28 2002 UTC (22 years, 2 months ago) by root
Branch: UUDEVIEW
CVS Tags: UUDEVIEW-0-5-15
Changes since 1.4: +1054 -2976 lines
Log Message:
*** empty log message ***

File Contents

# Content
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --disable-optimize compile for debugging"
16
17 # Initialize some variables set by options.
18 # The variables have the same names as the options, with
19 # dashes changed to underlines.
20 build=NONE
21 cache_file=./config.cache
22 exec_prefix=NONE
23 host=NONE
24 no_create=
25 nonopt=NONE
26 no_recursion=
27 prefix=NONE
28 program_prefix=NONE
29 program_suffix=NONE
30 program_transform_name=s,x,x,
31 silent=
32 site=
33 srcdir=
34 target=NONE
35 verbose=
36 x_includes=NONE
37 x_libraries=NONE
38 bindir='${exec_prefix}/bin'
39 sbindir='${exec_prefix}/sbin'
40 libexecdir='${exec_prefix}/libexec'
41 datadir='${prefix}/share'
42 sysconfdir='${prefix}/etc'
43 sharedstatedir='${prefix}/com'
44 localstatedir='${prefix}/var'
45 libdir='${exec_prefix}/lib'
46 includedir='${prefix}/include'
47 oldincludedir='/usr/include'
48 infodir='${prefix}/info'
49 mandir='${prefix}/man'
50
51 # Initialize some other variables.
52 subdirs=
53 MFLAGS= MAKEFLAGS=
54 SHELL=${CONFIG_SHELL-/bin/sh}
55 # Maximum number of lines to put in a shell here document.
56 ac_max_here_lines=12
57
58 ac_prev=
59 for ac_option
60 do
61
62 # If the previous option needs an argument, assign it.
63 if test -n "$ac_prev"; then
64 eval "$ac_prev=\$ac_option"
65 ac_prev=
66 continue
67 fi
68
69 case "$ac_option" in
70 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
71 *) ac_optarg= ;;
72 esac
73
74 # Accept the important Cygnus configure options, so we can diagnose typos.
75
76 case "$ac_option" in
77
78 -bindir | --bindir | --bindi | --bind | --bin | --bi)
79 ac_prev=bindir ;;
80 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
81 bindir="$ac_optarg" ;;
82
83 -build | --build | --buil | --bui | --bu)
84 ac_prev=build ;;
85 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
86 build="$ac_optarg" ;;
87
88 -cache-file | --cache-file | --cache-fil | --cache-fi \
89 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
90 ac_prev=cache_file ;;
91 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
92 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
93 cache_file="$ac_optarg" ;;
94
95 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
96 ac_prev=datadir ;;
97 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
98 | --da=*)
99 datadir="$ac_optarg" ;;
100
101 -disable-* | --disable-*)
102 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
103 # Reject names that are not valid shell variable names.
104 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
105 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
106 fi
107 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
108 eval "enable_${ac_feature}=no" ;;
109
110 -enable-* | --enable-*)
111 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
112 # Reject names that are not valid shell variable names.
113 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
114 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
115 fi
116 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
117 case "$ac_option" in
118 *=*) ;;
119 *) ac_optarg=yes ;;
120 esac
121 eval "enable_${ac_feature}='$ac_optarg'" ;;
122
123 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
124 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
125 | --exec | --exe | --ex)
126 ac_prev=exec_prefix ;;
127 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
128 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
129 | --exec=* | --exe=* | --ex=*)
130 exec_prefix="$ac_optarg" ;;
131
132 -gas | --gas | --ga | --g)
133 # Obsolete; use --with-gas.
134 with_gas=yes ;;
135
136 -help | --help | --hel | --he)
137 # Omit some internal or obsolete options to make the list less imposing.
138 # This message is too long to be a string in the A/UX 3.1 sh.
139 cat << EOF
140 Usage: configure [options] [host]
141 Options: [defaults in brackets after descriptions]
142 Configuration:
143 --cache-file=FILE cache test results in FILE
144 --help print this message
145 --no-create do not create output files
146 --quiet, --silent do not print \`checking...' messages
147 --version print the version of autoconf that created configure
148 Directory and file names:
149 --prefix=PREFIX install architecture-independent files in PREFIX
150 [$ac_default_prefix]
151 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
152 [same as prefix]
153 --bindir=DIR user executables in DIR [EPREFIX/bin]
154 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
155 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
156 --datadir=DIR read-only architecture-independent data in DIR
157 [PREFIX/share]
158 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
159 --sharedstatedir=DIR modifiable architecture-independent data in DIR
160 [PREFIX/com]
161 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
162 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
163 --includedir=DIR C header files in DIR [PREFIX/include]
164 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
165 --infodir=DIR info documentation in DIR [PREFIX/info]
166 --mandir=DIR man documentation in DIR [PREFIX/man]
167 --srcdir=DIR find the sources in DIR [configure dir or ..]
168 --program-prefix=PREFIX prepend PREFIX to installed program names
169 --program-suffix=SUFFIX append SUFFIX to installed program names
170 --program-transform-name=PROGRAM
171 run sed PROGRAM on installed program names
172 EOF
173 cat << EOF
174 Host type:
175 --build=BUILD configure for building on BUILD [BUILD=HOST]
176 --host=HOST configure for HOST [guessed]
177 --target=TARGET configure for TARGET [TARGET=HOST]
178 Features and packages:
179 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
180 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
181 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
182 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
183 --x-includes=DIR X include files are in DIR
184 --x-libraries=DIR X library files are in DIR
185 EOF
186 if test -n "$ac_help"; then
187 echo "--enable and --with options recognized:$ac_help"
188 fi
189 exit 0 ;;
190
191 -host | --host | --hos | --ho)
192 ac_prev=host ;;
193 -host=* | --host=* | --hos=* | --ho=*)
194 host="$ac_optarg" ;;
195
196 -includedir | --includedir | --includedi | --included | --include \
197 | --includ | --inclu | --incl | --inc)
198 ac_prev=includedir ;;
199 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
200 | --includ=* | --inclu=* | --incl=* | --inc=*)
201 includedir="$ac_optarg" ;;
202
203 -infodir | --infodir | --infodi | --infod | --info | --inf)
204 ac_prev=infodir ;;
205 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
206 infodir="$ac_optarg" ;;
207
208 -libdir | --libdir | --libdi | --libd)
209 ac_prev=libdir ;;
210 -libdir=* | --libdir=* | --libdi=* | --libd=*)
211 libdir="$ac_optarg" ;;
212
213 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
214 | --libexe | --libex | --libe)
215 ac_prev=libexecdir ;;
216 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
217 | --libexe=* | --libex=* | --libe=*)
218 libexecdir="$ac_optarg" ;;
219
220 -localstatedir | --localstatedir | --localstatedi | --localstated \
221 | --localstate | --localstat | --localsta | --localst \
222 | --locals | --local | --loca | --loc | --lo)
223 ac_prev=localstatedir ;;
224 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
225 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
226 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
227 localstatedir="$ac_optarg" ;;
228
229 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
230 ac_prev=mandir ;;
231 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
232 mandir="$ac_optarg" ;;
233
234 -nfp | --nfp | --nf)
235 # Obsolete; use --without-fp.
236 with_fp=no ;;
237
238 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
239 | --no-cr | --no-c)
240 no_create=yes ;;
241
242 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
243 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
244 no_recursion=yes ;;
245
246 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
247 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
248 | --oldin | --oldi | --old | --ol | --o)
249 ac_prev=oldincludedir ;;
250 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
251 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
252 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
253 oldincludedir="$ac_optarg" ;;
254
255 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
256 ac_prev=prefix ;;
257 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
258 prefix="$ac_optarg" ;;
259
260 -program-prefix | --program-prefix | --program-prefi | --program-pref \
261 | --program-pre | --program-pr | --program-p)
262 ac_prev=program_prefix ;;
263 -program-prefix=* | --program-prefix=* | --program-prefi=* \
264 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
265 program_prefix="$ac_optarg" ;;
266
267 -program-suffix | --program-suffix | --program-suffi | --program-suff \
268 | --program-suf | --program-su | --program-s)
269 ac_prev=program_suffix ;;
270 -program-suffix=* | --program-suffix=* | --program-suffi=* \
271 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
272 program_suffix="$ac_optarg" ;;
273
274 -program-transform-name | --program-transform-name \
275 | --program-transform-nam | --program-transform-na \
276 | --program-transform-n | --program-transform- \
277 | --program-transform | --program-transfor \
278 | --program-transfo | --program-transf \
279 | --program-trans | --program-tran \
280 | --progr-tra | --program-tr | --program-t)
281 ac_prev=program_transform_name ;;
282 -program-transform-name=* | --program-transform-name=* \
283 | --program-transform-nam=* | --program-transform-na=* \
284 | --program-transform-n=* | --program-transform-=* \
285 | --program-transform=* | --program-transfor=* \
286 | --program-transfo=* | --program-transf=* \
287 | --program-trans=* | --program-tran=* \
288 | --progr-tra=* | --program-tr=* | --program-t=*)
289 program_transform_name="$ac_optarg" ;;
290
291 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
292 | -silent | --silent | --silen | --sile | --sil)
293 silent=yes ;;
294
295 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
296 ac_prev=sbindir ;;
297 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
298 | --sbi=* | --sb=*)
299 sbindir="$ac_optarg" ;;
300
301 -sharedstatedir | --sharedstatedir | --sharedstatedi \
302 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
303 | --sharedst | --shareds | --shared | --share | --shar \
304 | --sha | --sh)
305 ac_prev=sharedstatedir ;;
306 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
307 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
308 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
309 | --sha=* | --sh=*)
310 sharedstatedir="$ac_optarg" ;;
311
312 -site | --site | --sit)
313 ac_prev=site ;;
314 -site=* | --site=* | --sit=*)
315 site="$ac_optarg" ;;
316
317 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
318 ac_prev=srcdir ;;
319 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
320 srcdir="$ac_optarg" ;;
321
322 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
323 | --syscon | --sysco | --sysc | --sys | --sy)
324 ac_prev=sysconfdir ;;
325 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
326 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
327 sysconfdir="$ac_optarg" ;;
328
329 -target | --target | --targe | --targ | --tar | --ta | --t)
330 ac_prev=target ;;
331 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
332 target="$ac_optarg" ;;
333
334 -v | -verbose | --verbose | --verbos | --verbo | --verb)
335 verbose=yes ;;
336
337 -version | --version | --versio | --versi | --vers)
338 echo "configure generated by autoconf version 2.13"
339 exit 0 ;;
340
341 -with-* | --with-*)
342 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
343 # Reject names that are not valid shell variable names.
344 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
345 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
346 fi
347 ac_package=`echo $ac_package| sed 's/-/_/g'`
348 case "$ac_option" in
349 *=*) ;;
350 *) ac_optarg=yes ;;
351 esac
352 eval "with_${ac_package}='$ac_optarg'" ;;
353
354 -without-* | --without-*)
355 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
356 # Reject names that are not valid shell variable names.
357 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
358 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
359 fi
360 ac_package=`echo $ac_package| sed 's/-/_/g'`
361 eval "with_${ac_package}=no" ;;
362
363 --x)
364 # Obsolete; use --with-x.
365 with_x=yes ;;
366
367 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
368 | --x-incl | --x-inc | --x-in | --x-i)
369 ac_prev=x_includes ;;
370 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
371 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
372 x_includes="$ac_optarg" ;;
373
374 -x-libraries | --x-libraries | --x-librarie | --x-librari \
375 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
376 ac_prev=x_libraries ;;
377 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
378 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
379 x_libraries="$ac_optarg" ;;
380
381 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
382 ;;
383
384 *)
385 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
386 echo "configure: warning: $ac_option: invalid host type" 1>&2
387 fi
388 if test "x$nonopt" != xNONE; then
389 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
390 fi
391 nonopt="$ac_option"
392 ;;
393
394 esac
395 done
396
397 if test -n "$ac_prev"; then
398 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 fi
400
401 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
402
403 # File descriptor usage:
404 # 0 standard input
405 # 1 file creation
406 # 2 errors and warnings
407 # 3 some systems may open it to /dev/tty
408 # 4 used on the Kubota Titan
409 # 6 checking for... messages and results
410 # 5 compiler messages saved in config.log
411 if test "$silent" = yes; then
412 exec 6>/dev/null
413 else
414 exec 6>&1
415 fi
416 exec 5>./config.log
417
418 echo "\
419 This file contains any messages produced by compilers while
420 running configure, to aid debugging if configure makes a mistake.
421 " 1>&5
422
423 # Strip out --no-create and --no-recursion so they do not pile up.
424 # Also quote any args containing shell metacharacters.
425 ac_configure_args=
426 for ac_arg
427 do
428 case "$ac_arg" in
429 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
430 | --no-cr | --no-c) ;;
431 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
432 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
433 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
434 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
435 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
436 esac
437 done
438
439 # NLS nuisances.
440 # Only set these to C if already set. These must not be set unconditionally
441 # because not all systems understand e.g. LANG=C (notably SCO).
442 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
443 # Non-C LC_CTYPE values break the ctype check.
444 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
445 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
446 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
447 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
448
449 # confdefs.h avoids OS command line length limits that DEFS can exceed.
450 rm -rf conftest* confdefs.h
451 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
452 echo > confdefs.h
453
454 # A filename unique to this package, relative to the directory that
455 # configure is in, which we can look for to find out if srcdir is correct.
456 ac_unique_file=uulib.c
457
458 # Find the source files, if location was not specified.
459 if test -z "$srcdir"; then
460 ac_srcdir_defaulted=yes
461 # Try the directory containing this script, then its parent.
462 ac_prog=$0
463 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
464 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
465 srcdir=$ac_confdir
466 if test ! -r $srcdir/$ac_unique_file; then
467 srcdir=..
468 fi
469 else
470 ac_srcdir_defaulted=no
471 fi
472 if test ! -r $srcdir/$ac_unique_file; then
473 if test "$ac_srcdir_defaulted" = yes; then
474 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
475 else
476 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 fi
478 fi
479 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
480
481 # Prefer explicitly selected file to automatically selected ones.
482 if test -z "$CONFIG_SITE"; then
483 if test "x$prefix" != xNONE; then
484 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
485 else
486 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 fi
488 fi
489 for ac_site_file in $CONFIG_SITE; do
490 if test -r "$ac_site_file"; then
491 echo "loading site script $ac_site_file"
492 . "$ac_site_file"
493 fi
494 done
495
496 if test -r "$cache_file"; then
497 echo "loading cache $cache_file"
498 . $cache_file
499 else
500 echo "creating cache $cache_file"
501 > $cache_file
502 fi
503
504 ac_ext=c
505 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
506 ac_cpp='$CPP $CPPFLAGS'
507 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
508 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
509 cross_compiling=$ac_cv_prog_cc_cross
510
511 ac_exeext=
512 ac_objext=o
513 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
514 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
515 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
516 ac_n= ac_c='
517 ' ac_t=' '
518 else
519 ac_n=-n ac_c= ac_t=
520 fi
521 else
522 ac_n= ac_c='\c' ac_t=
523 fi
524
525
526
527
528
529 #
530 # package revision
531 #
532 VERSION=0.5
533 PATCH=15
534
535 # Check whether --enable-optimize or --disable-optimize was given.
536 if test "${enable_optimize+set}" = set; then
537 enableval="$enable_optimize"
538 optimize=$enableval
539 else
540 optimize=yes
541 fi
542
543
544 # Extract the first word of "gcc", so it can be a program name with args.
545 set dummy gcc; ac_word=$2
546 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
547 echo "configure:548: checking for $ac_word" >&5
548 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
549 echo $ac_n "(cached) $ac_c" 1>&6
550 else
551 if test -n "$CC"; then
552 ac_cv_prog_CC="$CC" # Let the user override the test.
553 else
554 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
555 ac_dummy="$PATH"
556 for ac_dir in $ac_dummy; do
557 test -z "$ac_dir" && ac_dir=.
558 if test -f $ac_dir/$ac_word; then
559 ac_cv_prog_CC="gcc"
560 break
561 fi
562 done
563 IFS="$ac_save_ifs"
564 fi
565 fi
566 CC="$ac_cv_prog_CC"
567 if test -n "$CC"; then
568 echo "$ac_t""$CC" 1>&6
569 else
570 echo "$ac_t""no" 1>&6
571 fi
572
573 if test -z "$CC"; then
574 # Extract the first word of "cc", so it can be a program name with args.
575 set dummy cc; ac_word=$2
576 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
577 echo "configure:578: checking for $ac_word" >&5
578 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
579 echo $ac_n "(cached) $ac_c" 1>&6
580 else
581 if test -n "$CC"; then
582 ac_cv_prog_CC="$CC" # Let the user override the test.
583 else
584 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
585 ac_prog_rejected=no
586 ac_dummy="$PATH"
587 for ac_dir in $ac_dummy; do
588 test -z "$ac_dir" && ac_dir=.
589 if test -f $ac_dir/$ac_word; then
590 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
591 ac_prog_rejected=yes
592 continue
593 fi
594 ac_cv_prog_CC="cc"
595 break
596 fi
597 done
598 IFS="$ac_save_ifs"
599 if test $ac_prog_rejected = yes; then
600 # We found a bogon in the path, so make sure we never use it.
601 set dummy $ac_cv_prog_CC
602 shift
603 if test $# -gt 0; then
604 # We chose a different compiler from the bogus one.
605 # However, it has the same basename, so the bogon will be chosen
606 # first if we set CC to just the basename; use the full file name.
607 shift
608 set dummy "$ac_dir/$ac_word" "$@"
609 shift
610 ac_cv_prog_CC="$@"
611 fi
612 fi
613 fi
614 fi
615 CC="$ac_cv_prog_CC"
616 if test -n "$CC"; then
617 echo "$ac_t""$CC" 1>&6
618 else
619 echo "$ac_t""no" 1>&6
620 fi
621
622 if test -z "$CC"; then
623 case "`uname -s`" in
624 *win32* | *WIN32*)
625 # Extract the first word of "cl", so it can be a program name with args.
626 set dummy cl; ac_word=$2
627 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
628 echo "configure:629: checking for $ac_word" >&5
629 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
630 echo $ac_n "(cached) $ac_c" 1>&6
631 else
632 if test -n "$CC"; then
633 ac_cv_prog_CC="$CC" # Let the user override the test.
634 else
635 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
636 ac_dummy="$PATH"
637 for ac_dir in $ac_dummy; do
638 test -z "$ac_dir" && ac_dir=.
639 if test -f $ac_dir/$ac_word; then
640 ac_cv_prog_CC="cl"
641 break
642 fi
643 done
644 IFS="$ac_save_ifs"
645 fi
646 fi
647 CC="$ac_cv_prog_CC"
648 if test -n "$CC"; then
649 echo "$ac_t""$CC" 1>&6
650 else
651 echo "$ac_t""no" 1>&6
652 fi
653 ;;
654 esac
655 fi
656 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
657 fi
658
659 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
660 echo "configure:661: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
661
662 ac_ext=c
663 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
664 ac_cpp='$CPP $CPPFLAGS'
665 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
666 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
667 cross_compiling=$ac_cv_prog_cc_cross
668
669 cat > conftest.$ac_ext << EOF
670
671 #line 672 "configure"
672 #include "confdefs.h"
673
674 main(){return(0);}
675 EOF
676 if { (eval echo configure:677: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
677 ac_cv_prog_cc_works=yes
678 # If we can't run a trivial program, we are probably using a cross compiler.
679 if (./conftest; exit) 2>/dev/null; then
680 ac_cv_prog_cc_cross=no
681 else
682 ac_cv_prog_cc_cross=yes
683 fi
684 else
685 echo "configure: failed program was:" >&5
686 cat conftest.$ac_ext >&5
687 ac_cv_prog_cc_works=no
688 fi
689 rm -fr conftest*
690 ac_ext=c
691 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
692 ac_cpp='$CPP $CPPFLAGS'
693 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
694 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
695 cross_compiling=$ac_cv_prog_cc_cross
696
697 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
698 if test $ac_cv_prog_cc_works = no; then
699 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
700 fi
701 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
702 echo "configure:703: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
703 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
704 cross_compiling=$ac_cv_prog_cc_cross
705
706 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
707 echo "configure:708: checking whether we are using GNU C" >&5
708 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
709 echo $ac_n "(cached) $ac_c" 1>&6
710 else
711 cat > conftest.c <<EOF
712 #ifdef __GNUC__
713 yes;
714 #endif
715 EOF
716 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:717: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
717 ac_cv_prog_gcc=yes
718 else
719 ac_cv_prog_gcc=no
720 fi
721 fi
722
723 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
724
725 if test $ac_cv_prog_gcc = yes; then
726 GCC=yes
727 else
728 GCC=
729 fi
730
731 ac_test_CFLAGS="${CFLAGS+set}"
732 ac_save_CFLAGS="$CFLAGS"
733 CFLAGS=
734 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
735 echo "configure:736: checking whether ${CC-cc} accepts -g" >&5
736 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
737 echo $ac_n "(cached) $ac_c" 1>&6
738 else
739 echo 'void f(){}' > conftest.c
740 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
741 ac_cv_prog_cc_g=yes
742 else
743 ac_cv_prog_cc_g=no
744 fi
745 rm -f conftest*
746
747 fi
748
749 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
750 if test "$ac_test_CFLAGS" = set; then
751 CFLAGS="$ac_save_CFLAGS"
752 elif test $ac_cv_prog_cc_g = yes; then
753 if test "$GCC" = yes; then
754 CFLAGS="-g -O2"
755 else
756 CFLAGS="-g"
757 fi
758 else
759 if test "$GCC" = yes; then
760 CFLAGS="-O2"
761 else
762 CFLAGS=
763 fi
764 fi
765
766 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
767 echo "configure:768: checking how to run the C preprocessor" >&5
768 # On Suns, sometimes $CPP names a directory.
769 if test -n "$CPP" && test -d "$CPP"; then
770 CPP=
771 fi
772 if test -z "$CPP"; then
773 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
774 echo $ac_n "(cached) $ac_c" 1>&6
775 else
776 # This must be in double quotes, not single quotes, because CPP may get
777 # substituted into the Makefile and "${CC-cc}" will confuse make.
778 CPP="${CC-cc} -E"
779 # On the NeXT, cc -E runs the code through the compiler's parser,
780 # not just through cpp.
781 cat > conftest.$ac_ext <<EOF
782 #line 783 "configure"
783 #include "confdefs.h"
784 #include <assert.h>
785 Syntax Error
786 EOF
787 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
788 { (eval echo configure:789: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
789 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
790 if test -z "$ac_err"; then
791 :
792 else
793 echo "$ac_err" >&5
794 echo "configure: failed program was:" >&5
795 cat conftest.$ac_ext >&5
796 rm -rf conftest*
797 CPP="${CC-cc} -E -traditional-cpp"
798 cat > conftest.$ac_ext <<EOF
799 #line 800 "configure"
800 #include "confdefs.h"
801 #include <assert.h>
802 Syntax Error
803 EOF
804 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
805 { (eval echo configure:806: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
806 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
807 if test -z "$ac_err"; then
808 :
809 else
810 echo "$ac_err" >&5
811 echo "configure: failed program was:" >&5
812 cat conftest.$ac_ext >&5
813 rm -rf conftest*
814 CPP="${CC-cc} -nologo -E"
815 cat > conftest.$ac_ext <<EOF
816 #line 817 "configure"
817 #include "confdefs.h"
818 #include <assert.h>
819 Syntax Error
820 EOF
821 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
822 { (eval echo configure:823: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
823 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
824 if test -z "$ac_err"; then
825 :
826 else
827 echo "$ac_err" >&5
828 echo "configure: failed program was:" >&5
829 cat conftest.$ac_ext >&5
830 rm -rf conftest*
831 CPP=/lib/cpp
832 fi
833 rm -f conftest*
834 fi
835 rm -f conftest*
836 fi
837 rm -f conftest*
838 ac_cv_prog_CPP="$CPP"
839 fi
840 CPP="$ac_cv_prog_CPP"
841 else
842 ac_cv_prog_CPP="$CPP"
843 fi
844 echo "$ac_t""$CPP" 1>&6
845
846
847
848 echo $ac_n "checking if HP-UX ansi C compiler flags are needed""... $ac_c" 1>&6
849 echo "configure:850: checking if HP-UX ansi C compiler flags are needed" >&5
850
851 os=`uname -s | tr 'A-Z' 'a-z'`
852 ac_cv_hpux_flags=no
853 if test "$os" = hp-ux ; then
854 if test "$ac_cv_prog_gcc" = yes ; then
855 if test "$CFLAGS" != "" ; then
856 # Shouldn't be in there.
857 CFLAGS=`echo "$CFLAGS" | sed 's/-Aa//g'`
858 fi
859 else
860 # If you're not using gcc, then you better have a cc/c89
861 # that is usable. If you have the barebones compiler, it
862 # won't work. The good compiler uses -Aa for the ANSI
863 # compatible stuff.
864 x=`echo $CFLAGS | grep 'Aa' 2>/dev/null`
865 if test "$x" = "" ; then
866 CFLAGS="$CFLAGS -Aa"
867 fi
868 ac_cv_hpux_flags=yes
869 fi
870 # Also add _HPUX_SOURCE to get the extended namespace.
871 x=`echo $CFLAGS | grep '_HPUX_SOURCE' 2>/dev/null`
872 if test "$x" = "" ; then
873 CFLAGS="$CFLAGS -D_HPUX_SOURCE"
874 fi
875 fi
876 echo "$ac_t""$ac_cv_hpux_flags" 1>&6
877
878 if test "$CFLAGS" = "" ; then
879 CFLAGS="-O"
880 elif test "$ac_cv_prog_gcc" = "yes" ; then
881 case "$CFLAGS" in
882 *"-g -O"*)
883 #echo "using -g as default gcc CFLAGS" 1>&6
884 CFLAGS=`echo $CFLAGS | sed 's/-g\ -O/-O/'`
885 ;;
886 *"-O -g"*)
887 # Leave the -g, but remove all -O options.
888 #echo "using -g as default gcc CFLAGS" 1>&6
889 CFLAGS=`echo $CFLAGS | sed 's/-O\ -g/-O/'`
890 ;;
891 esac
892 fi
893
894
895 echo $ac_n "checking if the compiler supports function prototypes""... $ac_c" 1>&6
896 echo "configure:897: checking if the compiler supports function prototypes" >&5
897 cat > conftest.$ac_ext <<EOF
898 #line 899 "configure"
899 #include "confdefs.h"
900
901 int main() {
902 extern void exit(int status);
903 ; return 0; }
904 EOF
905 if { (eval echo configure:906: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
906 rm -rf conftest*
907 wi_cv_prototypes=yes
908 cat >> confdefs.h <<\EOF
909 #define PROTOTYPES 1
910 EOF
911
912 else
913 echo "configure: failed program was:" >&5
914 cat conftest.$ac_ext >&5
915 rm -rf conftest*
916 wi_cv_prototypes=no
917 fi
918 rm -f conftest*
919 echo "$ac_t""$wi_cv_prototypes" 1>&6
920
921 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
922 echo "configure:923: checking whether ${MAKE-make} sets \${MAKE}" >&5
923 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
924 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
925 echo $ac_n "(cached) $ac_c" 1>&6
926 else
927 cat > conftestmake <<\EOF
928 all:
929 @echo 'ac_maketemp="${MAKE}"'
930 EOF
931 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
932 eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
933 if test -n "$ac_maketemp"; then
934 eval ac_cv_prog_make_${ac_make}_set=yes
935 else
936 eval ac_cv_prog_make_${ac_make}_set=no
937 fi
938 rm -f conftestmake
939 fi
940 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
941 echo "$ac_t""yes" 1>&6
942 SET_MAKE=
943 else
944 echo "$ac_t""no" 1>&6
945 SET_MAKE="MAKE=${MAKE-make}"
946 fi
947
948 # Extract the first word of "ranlib", so it can be a program name with args.
949 set dummy ranlib; ac_word=$2
950 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
951 echo "configure:952: checking for $ac_word" >&5
952 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
953 echo $ac_n "(cached) $ac_c" 1>&6
954 else
955 if test -n "$RANLIB"; then
956 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
957 else
958 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
959 ac_dummy="$PATH"
960 for ac_dir in $ac_dummy; do
961 test -z "$ac_dir" && ac_dir=.
962 if test -f $ac_dir/$ac_word; then
963 ac_cv_prog_RANLIB="ranlib"
964 break
965 fi
966 done
967 IFS="$ac_save_ifs"
968 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
969 fi
970 fi
971 RANLIB="$ac_cv_prog_RANLIB"
972 if test -n "$RANLIB"; then
973 echo "$ac_t""$RANLIB" 1>&6
974 else
975 echo "$ac_t""no" 1>&6
976 fi
977
978
979 #
980 # When optimization is enabled, remove -g from CFLAGS and add -O
981 #
982
983 if test "$optimize" = "yes" ; then
984 echo $ac_n "checking compiler flags""... $ac_c" 1>&6
985 echo "configure:986: checking compiler flags" >&5
986 CFLAGS=`echo $CFLAGS | sed 's/-g//g'`
987 case $CFLAGS in
988 *"-O"*)
989 ;;
990 *)
991 CFLAGS="$CFLAGS -O"
992 ;;
993 esac
994 echo "$ac_t""done" 1>&6
995 fi
996
997 if test "$wi_cv_prototypes" = no ; then
998 echo "configure: warning: Your compiler does not support function prototyping and" 1>&2
999 echo "configure: warning: is not able to properly compile this package. What a pity." 1>&2
1000 echo "configure: warning: Get gcc, or any compiler that supports function prototypes." 1>&2
1001 exit 1
1002 fi
1003
1004 #
1005 # Checks for header files and library functions
1006 #
1007
1008 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1009 echo "configure:1010: checking for ANSI C header files" >&5
1010 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1011 echo $ac_n "(cached) $ac_c" 1>&6
1012 else
1013 cat > conftest.$ac_ext <<EOF
1014 #line 1015 "configure"
1015 #include "confdefs.h"
1016 #include <stdlib.h>
1017 #include <stdarg.h>
1018 #include <string.h>
1019 #include <float.h>
1020 EOF
1021 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1022 { (eval echo configure:1023: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1023 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1024 if test -z "$ac_err"; then
1025 rm -rf conftest*
1026 ac_cv_header_stdc=yes
1027 else
1028 echo "$ac_err" >&5
1029 echo "configure: failed program was:" >&5
1030 cat conftest.$ac_ext >&5
1031 rm -rf conftest*
1032 ac_cv_header_stdc=no
1033 fi
1034 rm -f conftest*
1035
1036 if test $ac_cv_header_stdc = yes; then
1037 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1038 cat > conftest.$ac_ext <<EOF
1039 #line 1040 "configure"
1040 #include "confdefs.h"
1041 #include <string.h>
1042 EOF
1043 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1044 egrep "memchr" >/dev/null 2>&1; then
1045 :
1046 else
1047 rm -rf conftest*
1048 ac_cv_header_stdc=no
1049 fi
1050 rm -f conftest*
1051
1052 fi
1053
1054 if test $ac_cv_header_stdc = yes; then
1055 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1056 cat > conftest.$ac_ext <<EOF
1057 #line 1058 "configure"
1058 #include "confdefs.h"
1059 #include <stdlib.h>
1060 EOF
1061 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1062 egrep "free" >/dev/null 2>&1; then
1063 :
1064 else
1065 rm -rf conftest*
1066 ac_cv_header_stdc=no
1067 fi
1068 rm -f conftest*
1069
1070 fi
1071
1072 if test $ac_cv_header_stdc = yes; then
1073 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1074 if test "$cross_compiling" = yes; then
1075 :
1076 else
1077 cat > conftest.$ac_ext <<EOF
1078 #line 1079 "configure"
1079 #include "confdefs.h"
1080 #include <ctype.h>
1081 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1082 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1083 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1084 int main () { int i; for (i = 0; i < 256; i++)
1085 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1086 exit (0); }
1087
1088 EOF
1089 if { (eval echo configure:1090: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1090 then
1091 :
1092 else
1093 echo "configure: failed program was:" >&5
1094 cat conftest.$ac_ext >&5
1095 rm -fr conftest*
1096 ac_cv_header_stdc=no
1097 fi
1098 rm -fr conftest*
1099 fi
1100
1101 fi
1102 fi
1103
1104 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1105 if test $ac_cv_header_stdc = yes; then
1106 cat >> confdefs.h <<\EOF
1107 #define STDC_HEADERS 1
1108 EOF
1109
1110 fi
1111
1112 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1113 echo "configure:1114: checking for size_t" >&5
1114 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1115 echo $ac_n "(cached) $ac_c" 1>&6
1116 else
1117 cat > conftest.$ac_ext <<EOF
1118 #line 1119 "configure"
1119 #include "confdefs.h"
1120 #include <sys/types.h>
1121 #if STDC_HEADERS
1122 #include <stdlib.h>
1123 #include <stddef.h>
1124 #endif
1125 EOF
1126 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1127 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1128 rm -rf conftest*
1129 ac_cv_type_size_t=yes
1130 else
1131 rm -rf conftest*
1132 ac_cv_type_size_t=no
1133 fi
1134 rm -f conftest*
1135
1136 fi
1137 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1138 if test $ac_cv_type_size_t = no; then
1139 cat >> confdefs.h <<\EOF
1140 #define size_t unsigned
1141 EOF
1142
1143 fi
1144
1145 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1146 echo "configure:1147: checking whether time.h and sys/time.h may both be included" >&5
1147 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1148 echo $ac_n "(cached) $ac_c" 1>&6
1149 else
1150 cat > conftest.$ac_ext <<EOF
1151 #line 1152 "configure"
1152 #include "confdefs.h"
1153 #include <sys/types.h>
1154 #include <sys/time.h>
1155 #include <time.h>
1156 int main() {
1157 struct tm *tp;
1158 ; return 0; }
1159 EOF
1160 if { (eval echo configure:1161: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1161 rm -rf conftest*
1162 ac_cv_header_time=yes
1163 else
1164 echo "configure: failed program was:" >&5
1165 cat conftest.$ac_ext >&5
1166 rm -rf conftest*
1167 ac_cv_header_time=no
1168 fi
1169 rm -f conftest*
1170 fi
1171
1172 echo "$ac_t""$ac_cv_header_time" 1>&6
1173 if test $ac_cv_header_time = yes; then
1174 cat >> confdefs.h <<\EOF
1175 #define TIME_WITH_SYS_TIME 1
1176 EOF
1177
1178 fi
1179
1180 for ac_hdr in fcntl.h unistd.h memory.h malloc.h errno.h
1181 do
1182 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1183 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1184 echo "configure:1185: checking for $ac_hdr" >&5
1185 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1186 echo $ac_n "(cached) $ac_c" 1>&6
1187 else
1188 cat > conftest.$ac_ext <<EOF
1189 #line 1190 "configure"
1190 #include "confdefs.h"
1191 #include <$ac_hdr>
1192 EOF
1193 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1194 { (eval echo configure:1195: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1195 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1196 if test -z "$ac_err"; then
1197 rm -rf conftest*
1198 eval "ac_cv_header_$ac_safe=yes"
1199 else
1200 echo "$ac_err" >&5
1201 echo "configure: failed program was:" >&5
1202 cat conftest.$ac_ext >&5
1203 rm -rf conftest*
1204 eval "ac_cv_header_$ac_safe=no"
1205 fi
1206 rm -f conftest*
1207 fi
1208 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1209 echo "$ac_t""yes" 1>&6
1210 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1211 cat >> confdefs.h <<EOF
1212 #define $ac_tr_hdr 1
1213 EOF
1214
1215 else
1216 echo "$ac_t""no" 1>&6
1217 fi
1218 done
1219
1220 for ac_hdr in io.h sys/time.h
1221 do
1222 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1223 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1224 echo "configure:1225: checking for $ac_hdr" >&5
1225 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1226 echo $ac_n "(cached) $ac_c" 1>&6
1227 else
1228 cat > conftest.$ac_ext <<EOF
1229 #line 1230 "configure"
1230 #include "confdefs.h"
1231 #include <$ac_hdr>
1232 EOF
1233 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1234 { (eval echo configure:1235: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1235 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1236 if test -z "$ac_err"; then
1237 rm -rf conftest*
1238 eval "ac_cv_header_$ac_safe=yes"
1239 else
1240 echo "$ac_err" >&5
1241 echo "configure: failed program was:" >&5
1242 cat conftest.$ac_ext >&5
1243 rm -rf conftest*
1244 eval "ac_cv_header_$ac_safe=no"
1245 fi
1246 rm -f conftest*
1247 fi
1248 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1249 echo "$ac_t""yes" 1>&6
1250 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1251 cat >> confdefs.h <<EOF
1252 #define $ac_tr_hdr 1
1253 EOF
1254
1255 else
1256 echo "$ac_t""no" 1>&6
1257 fi
1258 done
1259
1260 for ac_func in gettimeofday
1261 do
1262 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1263 echo "configure:1264: checking for $ac_func" >&5
1264 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1265 echo $ac_n "(cached) $ac_c" 1>&6
1266 else
1267 cat > conftest.$ac_ext <<EOF
1268 #line 1269 "configure"
1269 #include "confdefs.h"
1270 /* System header to define __stub macros and hopefully few prototypes,
1271 which can conflict with char $ac_func(); below. */
1272 #include <assert.h>
1273 /* Override any gcc2 internal prototype to avoid an error. */
1274 /* We use char because int might match the return type of a gcc2
1275 builtin and then its argument prototype would still apply. */
1276 char $ac_func();
1277
1278 int main() {
1279
1280 /* The GNU C library defines this for functions which it implements
1281 to always fail with ENOSYS. Some functions are actually named
1282 something starting with __ and the normal name is an alias. */
1283 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1284 choke me
1285 #else
1286 $ac_func();
1287 #endif
1288
1289 ; return 0; }
1290 EOF
1291 if { (eval echo configure:1292: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1292 rm -rf conftest*
1293 eval "ac_cv_func_$ac_func=yes"
1294 else
1295 echo "configure: failed program was:" >&5
1296 cat conftest.$ac_ext >&5
1297 rm -rf conftest*
1298 eval "ac_cv_func_$ac_func=no"
1299 fi
1300 rm -f conftest*
1301 fi
1302
1303 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1304 echo "$ac_t""yes" 1>&6
1305 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1306 cat >> confdefs.h <<EOF
1307 #define $ac_tr_func 1
1308 EOF
1309
1310 else
1311 echo "$ac_t""no" 1>&6
1312 fi
1313 done
1314
1315
1316 echo $ac_n "checking for tempnam""... $ac_c" 1>&6
1317 echo "configure:1318: checking for tempnam" >&5
1318 if eval "test \"`echo '$''{'ac_cv_func_tempnam'+set}'`\" = set"; then
1319 echo $ac_n "(cached) $ac_c" 1>&6
1320 else
1321 cat > conftest.$ac_ext <<EOF
1322 #line 1323 "configure"
1323 #include "confdefs.h"
1324 /* System header to define __stub macros and hopefully few prototypes,
1325 which can conflict with char tempnam(); below. */
1326 #include <assert.h>
1327 /* Override any gcc2 internal prototype to avoid an error. */
1328 /* We use char because int might match the return type of a gcc2
1329 builtin and then its argument prototype would still apply. */
1330 char tempnam();
1331
1332 int main() {
1333
1334 /* The GNU C library defines this for functions which it implements
1335 to always fail with ENOSYS. Some functions are actually named
1336 something starting with __ and the normal name is an alias. */
1337 #if defined (__stub_tempnam) || defined (__stub___tempnam)
1338 choke me
1339 #else
1340 tempnam();
1341 #endif
1342
1343 ; return 0; }
1344 EOF
1345 if { (eval echo configure:1346: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1346 rm -rf conftest*
1347 eval "ac_cv_func_tempnam=yes"
1348 else
1349 echo "configure: failed program was:" >&5
1350 cat conftest.$ac_ext >&5
1351 rm -rf conftest*
1352 eval "ac_cv_func_tempnam=no"
1353 fi
1354 rm -f conftest*
1355 fi
1356
1357 if eval "test \"`echo '$ac_cv_func_'tempnam`\" = yes"; then
1358 echo "$ac_t""yes" 1>&6
1359 :
1360 else
1361 echo "$ac_t""no" 1>&6
1362 cat >> confdefs.h <<\EOF
1363 #define tempnam _FP_tempnam
1364 EOF
1365
1366 fi
1367
1368
1369 #
1370 # strerror might be internally defined. this would cause a
1371 # CHECK_FUNCS(strerror) to fail because it'd be called with
1372 # zero arguments. So use our own code.
1373 #
1374 echo $ac_n "checking for strerror""... $ac_c" 1>&6
1375 echo "configure:1376: checking for strerror" >&5
1376 cat > conftest.$ac_ext <<EOF
1377 #line 1378 "configure"
1378 #include "confdefs.h"
1379
1380 char *blubb() { return (char *) strerror (42); }
1381
1382 int main() {
1383
1384 (void) blubb();
1385
1386 ; return 0; }
1387 EOF
1388 if { (eval echo configure:1389: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1389 rm -rf conftest*
1390 have_strerror=yes
1391 else
1392 echo "configure: failed program was:" >&5
1393 cat conftest.$ac_ext >&5
1394 rm -rf conftest*
1395 cat >> confdefs.h <<\EOF
1396 #define strerror _FP_strerror
1397 EOF
1398
1399 have_strerror=no
1400 fi
1401 rm -f conftest*
1402 echo "$ac_t""$have_strerror" 1>&6
1403
1404 echo $ac_n "checking for stdin""... $ac_c" 1>&6
1405 echo "configure:1406: checking for stdin" >&5
1406 cat > conftest.$ac_ext <<EOF
1407 #line 1408 "configure"
1408 #include "confdefs.h"
1409
1410 #include <stdio.h>
1411 char *blubb() { FILE *in, *out; in=stdin; out=stdout; return (char*)0; }
1412
1413 int main() {
1414
1415 (void) blubb();
1416
1417 ; return 0; }
1418 EOF
1419 if { (eval echo configure:1420: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1420 rm -rf conftest*
1421 have_stdio=yes
1422 else
1423 echo "configure: failed program was:" >&5
1424 cat conftest.$ac_ext >&5
1425 rm -rf conftest*
1426 cat >> confdefs.h <<\EOF
1427 #define HAVE_STDIO 1
1428 EOF
1429
1430 have_stdio=no
1431 fi
1432 rm -f conftest*
1433 echo "$ac_t""$have_stdio" 1>&6
1434
1435 if test "$ac_cv_header_stdc" = "no" ; then
1436 for ac_hdr in stdarg.h varargs.h
1437 do
1438 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1439 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1440 echo "configure:1441: checking for $ac_hdr" >&5
1441 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1442 echo $ac_n "(cached) $ac_c" 1>&6
1443 else
1444 cat > conftest.$ac_ext <<EOF
1445 #line 1446 "configure"
1446 #include "confdefs.h"
1447 #include <$ac_hdr>
1448 EOF
1449 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1450 { (eval echo configure:1451: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1451 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1452 if test -z "$ac_err"; then
1453 rm -rf conftest*
1454 eval "ac_cv_header_$ac_safe=yes"
1455 else
1456 echo "$ac_err" >&5
1457 echo "configure: failed program was:" >&5
1458 cat conftest.$ac_ext >&5
1459 rm -rf conftest*
1460 eval "ac_cv_header_$ac_safe=no"
1461 fi
1462 rm -f conftest*
1463 fi
1464 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1465 echo "$ac_t""yes" 1>&6
1466 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1467 cat >> confdefs.h <<EOF
1468 #define $ac_tr_hdr 1
1469 EOF
1470
1471 else
1472 echo "$ac_t""no" 1>&6
1473 fi
1474 done
1475
1476 if test "$ac_cv_header_stdarg_h" = "no" ; then
1477 if test "$ac_cv_header_varargs_h" = "no" ; then
1478 { echo "configure: error: neither stdarg.h nor varargs.h present" 1>&2; exit 1; }
1479 fi
1480 fi
1481 fi
1482
1483 #
1484 # Check whether this is a DOS-Based system. Another bogus test.
1485 # Don't even bother to print a message. This code is needed so
1486 # that autoheader includes the #undef into the final config.h
1487 # and we can change the definition by hand on a really DOS
1488 # system (where ./configure doesn't work anyway ...)
1489 #
1490
1491 if false ; then
1492 cat >> confdefs.h <<\EOF
1493 #define SYSTEM_DOS 1
1494 EOF
1495
1496 cat >> confdefs.h <<\EOF
1497 #define SYSTEM_QUICKWIN 1
1498 EOF
1499
1500 cat >> confdefs.h <<\EOF
1501 #define SYSTEM_WINDLL 1
1502 EOF
1503
1504 cat >> confdefs.h <<\EOF
1505 #define SYSTEM_OS2 1
1506 EOF
1507
1508 fi
1509
1510 #
1511 # On some systems (so far, OS2 and WINDOWS), functions that are exported
1512 # from a DLL must be declared specifically.
1513 #
1514
1515 cat >> confdefs.h <<EOF
1516 #define UUEXPORT
1517 EOF
1518
1519 cat >> confdefs.h <<EOF
1520 #define TOOLEXPORT
1521 EOF
1522
1523
1524 #
1525 # set version number
1526 #
1527 echo $ac_n "checking version number""... $ac_c" 1>&6
1528 echo "configure:1529: checking version number" >&5
1529 version_number="$VERSION"pl"$PATCH"
1530 echo "$ac_t""$version_number" 1>&6
1531
1532
1533
1534 #
1535 # done
1536 #
1537
1538 trap '' 1 2 15
1539 cat > confcache <<\EOF
1540 # This file is a shell script that caches the results of configure
1541 # tests run on this system so they can be shared between configure
1542 # scripts and configure runs. It is not useful on other systems.
1543 # If it contains results you don't want to keep, you may remove or edit it.
1544 #
1545 # By default, configure uses ./config.cache as the cache file,
1546 # creating it if it does not exist already. You can give configure
1547 # the --cache-file=FILE option to use a different cache file; that is
1548 # what configure does when it calls configure scripts in
1549 # subdirectories, so they share the cache.
1550 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1551 # config.status only pays attention to the cache file if you give it the
1552 # --recheck option to rerun configure.
1553 #
1554 EOF
1555 # The following way of writing the cache mishandles newlines in values,
1556 # but we know of no workaround that is simple, portable, and efficient.
1557 # So, don't put newlines in cache variables' values.
1558 # Ultrix sh set writes to stderr and can't be redirected directly,
1559 # and sets the high bit in the cache file unless we assign to the vars.
1560 (set) 2>&1 |
1561 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1562 *ac_space=\ *)
1563 # `set' does not quote correctly, so add quotes (double-quote substitution
1564 # turns \\\\ into \\, and sed turns \\ into \).
1565 sed -n \
1566 -e "s/'/'\\\\''/g" \
1567 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1568 ;;
1569 *)
1570 # `set' quotes correctly as required by POSIX, so do not add quotes.
1571 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1572 ;;
1573 esac >> confcache
1574 if cmp -s $cache_file confcache; then
1575 :
1576 else
1577 if test -w $cache_file; then
1578 echo "updating cache $cache_file"
1579 cat confcache > $cache_file
1580 else
1581 echo "not updating unwritable cache $cache_file"
1582 fi
1583 fi
1584 rm -f confcache
1585
1586 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1587
1588 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1589 # Let make expand exec_prefix.
1590 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1591
1592 # Any assignment to VPATH causes Sun make to only execute
1593 # the first set of double-colon rules, so remove it if not needed.
1594 # If there is a colon in the path, we need to keep it.
1595 if test "x$srcdir" = x.; then
1596 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1597 fi
1598
1599 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1600
1601 DEFS=-DHAVE_CONFIG_H
1602
1603 # Without the "./", some shells look in PATH for config.status.
1604 : ${CONFIG_STATUS=./config.status}
1605
1606 echo creating $CONFIG_STATUS
1607 rm -f $CONFIG_STATUS
1608 cat > $CONFIG_STATUS <<EOF
1609 #! /bin/sh
1610 # Generated automatically by configure.
1611 # Run this file to recreate the current configuration.
1612 # This directory was configured as follows,
1613 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1614 #
1615 # $0 $ac_configure_args
1616 #
1617 # Compiler output produced by configure, useful for debugging
1618 # configure, is in ./config.log if it exists.
1619
1620 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1621 for ac_option
1622 do
1623 case "\$ac_option" in
1624 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1625 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1626 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1627 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1628 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1629 exit 0 ;;
1630 -help | --help | --hel | --he | --h)
1631 echo "\$ac_cs_usage"; exit 0 ;;
1632 *) echo "\$ac_cs_usage"; exit 1 ;;
1633 esac
1634 done
1635
1636 ac_given_srcdir=$srcdir
1637
1638 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1639 EOF
1640 cat >> $CONFIG_STATUS <<EOF
1641
1642 # Protect against being on the right side of a sed subst in config.status.
1643 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1644 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1645 $ac_vpsub
1646 $extrasub
1647 s%@SHELL@%$SHELL%g
1648 s%@CFLAGS@%$CFLAGS%g
1649 s%@CPPFLAGS@%$CPPFLAGS%g
1650 s%@CXXFLAGS@%$CXXFLAGS%g
1651 s%@FFLAGS@%$FFLAGS%g
1652 s%@DEFS@%$DEFS%g
1653 s%@LDFLAGS@%$LDFLAGS%g
1654 s%@LIBS@%$LIBS%g
1655 s%@exec_prefix@%$exec_prefix%g
1656 s%@prefix@%$prefix%g
1657 s%@program_transform_name@%$program_transform_name%g
1658 s%@bindir@%$bindir%g
1659 s%@sbindir@%$sbindir%g
1660 s%@libexecdir@%$libexecdir%g
1661 s%@datadir@%$datadir%g
1662 s%@sysconfdir@%$sysconfdir%g
1663 s%@sharedstatedir@%$sharedstatedir%g
1664 s%@localstatedir@%$localstatedir%g
1665 s%@libdir@%$libdir%g
1666 s%@includedir@%$includedir%g
1667 s%@oldincludedir@%$oldincludedir%g
1668 s%@infodir@%$infodir%g
1669 s%@mandir@%$mandir%g
1670 s%@CC@%$CC%g
1671 s%@CPP@%$CPP%g
1672 s%@SET_MAKE@%$SET_MAKE%g
1673 s%@RANLIB@%$RANLIB%g
1674 s%@VERSION@%$VERSION%g
1675 s%@PATCH@%$PATCH%g
1676
1677 CEOF
1678 EOF
1679
1680 cat >> $CONFIG_STATUS <<\EOF
1681
1682 # Split the substitutions into bite-sized pieces for seds with
1683 # small command number limits, like on Digital OSF/1 and HP-UX.
1684 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1685 ac_file=1 # Number of current file.
1686 ac_beg=1 # First line for current file.
1687 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1688 ac_more_lines=:
1689 ac_sed_cmds=""
1690 while $ac_more_lines; do
1691 if test $ac_beg -gt 1; then
1692 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1693 else
1694 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1695 fi
1696 if test ! -s conftest.s$ac_file; then
1697 ac_more_lines=false
1698 rm -f conftest.s$ac_file
1699 else
1700 if test -z "$ac_sed_cmds"; then
1701 ac_sed_cmds="sed -f conftest.s$ac_file"
1702 else
1703 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1704 fi
1705 ac_file=`expr $ac_file + 1`
1706 ac_beg=$ac_end
1707 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1708 fi
1709 done
1710 if test -z "$ac_sed_cmds"; then
1711 ac_sed_cmds=cat
1712 fi
1713 EOF
1714
1715 cat >> $CONFIG_STATUS <<EOF
1716
1717 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1718 EOF
1719 cat >> $CONFIG_STATUS <<\EOF
1720 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1721 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1722 case "$ac_file" in
1723 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1724 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1725 *) ac_file_in="${ac_file}.in" ;;
1726 esac
1727
1728 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1729
1730 # Remove last slash and all that follows it. Not all systems have dirname.
1731 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1732 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1733 # The file is in a subdirectory.
1734 test ! -d "$ac_dir" && mkdir "$ac_dir"
1735 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1736 # A "../" for each directory in $ac_dir_suffix.
1737 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1738 else
1739 ac_dir_suffix= ac_dots=
1740 fi
1741
1742 case "$ac_given_srcdir" in
1743 .) srcdir=.
1744 if test -z "$ac_dots"; then top_srcdir=.
1745 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1746 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1747 *) # Relative path.
1748 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1749 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1750 esac
1751
1752
1753 echo creating "$ac_file"
1754 rm -f "$ac_file"
1755 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1756 case "$ac_file" in
1757 *Makefile*) ac_comsub="1i\\
1758 # $configure_input" ;;
1759 *) ac_comsub= ;;
1760 esac
1761
1762 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1763 sed -e "$ac_comsub
1764 s%@configure_input@%$configure_input%g
1765 s%@srcdir@%$srcdir%g
1766 s%@top_srcdir@%$top_srcdir%g
1767 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1768 fi; done
1769 rm -f conftest.s*
1770
1771 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1772 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1773 #
1774 # ac_d sets the value in "#define NAME VALUE" lines.
1775 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1776 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1777 ac_dC='\3'
1778 ac_dD='%g'
1779 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1780 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1781 ac_uB='\([ ]\)%\1#\2define\3'
1782 ac_uC=' '
1783 ac_uD='\4%g'
1784 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1785 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1786 ac_eB='$%\1#\2define\3'
1787 ac_eC=' '
1788 ac_eD='%g'
1789
1790 if test "${CONFIG_HEADERS+set}" != set; then
1791 EOF
1792 cat >> $CONFIG_STATUS <<EOF
1793 CONFIG_HEADERS="config.h"
1794 EOF
1795 cat >> $CONFIG_STATUS <<\EOF
1796 fi
1797 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1798 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1799 case "$ac_file" in
1800 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1801 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1802 *) ac_file_in="${ac_file}.in" ;;
1803 esac
1804
1805 echo creating $ac_file
1806
1807 rm -f conftest.frag conftest.in conftest.out
1808 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1809 cat $ac_file_inputs > conftest.in
1810
1811 EOF
1812
1813 # Transform confdefs.h into a sed script conftest.vals that substitutes
1814 # the proper values into config.h.in to produce config.h. And first:
1815 # Protect against being on the right side of a sed subst in config.status.
1816 # Protect against being in an unquoted here document in config.status.
1817 rm -f conftest.vals
1818 cat > conftest.hdr <<\EOF
1819 s/[\\&%]/\\&/g
1820 s%[\\$`]%\\&%g
1821 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1822 s%ac_d%ac_u%gp
1823 s%ac_u%ac_e%gp
1824 EOF
1825 sed -n -f conftest.hdr confdefs.h > conftest.vals
1826 rm -f conftest.hdr
1827
1828 # This sed command replaces #undef with comments. This is necessary, for
1829 # example, in the case of _POSIX_SOURCE, which is predefined and required
1830 # on some systems where configure will not decide to define it.
1831 cat >> conftest.vals <<\EOF
1832 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1833 EOF
1834
1835 # Break up conftest.vals because some shells have a limit on
1836 # the size of here documents, and old seds have small limits too.
1837
1838 rm -f conftest.tail
1839 while :
1840 do
1841 ac_lines=`grep -c . conftest.vals`
1842 # grep -c gives empty output for an empty file on some AIX systems.
1843 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1844 # Write a limited-size here document to conftest.frag.
1845 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1846 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1847 echo 'CEOF
1848 sed -f conftest.frag conftest.in > conftest.out
1849 rm -f conftest.in
1850 mv conftest.out conftest.in
1851 ' >> $CONFIG_STATUS
1852 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1853 rm -f conftest.vals
1854 mv conftest.tail conftest.vals
1855 done
1856 rm -f conftest.vals
1857
1858 cat >> $CONFIG_STATUS <<\EOF
1859 rm -f conftest.frag conftest.h
1860 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1861 cat conftest.in >> conftest.h
1862 rm -f conftest.in
1863 if cmp -s $ac_file conftest.h 2>/dev/null; then
1864 echo "$ac_file is unchanged"
1865 rm -f conftest.h
1866 else
1867 # Remove last slash and all that follows it. Not all systems have dirname.
1868 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1869 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1870 # The file is in a subdirectory.
1871 test ! -d "$ac_dir" && mkdir "$ac_dir"
1872 fi
1873 rm -f $ac_file
1874 mv conftest.h $ac_file
1875 fi
1876 fi; done
1877
1878 EOF
1879 cat >> $CONFIG_STATUS <<EOF
1880
1881 EOF
1882 cat >> $CONFIG_STATUS <<\EOF
1883
1884 exit 0
1885 EOF
1886 chmod +x $CONFIG_STATUS
1887 rm -fr confdefs* $ac_clean_files
1888 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1889